Application: gvSIG desktop - gvSIG bugs #2286

File filter in Open window of New table shows also vector format

02/04/2014 10:35 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Document table

Target version: 2.1.0-2221-testing

Severity: Add-on version:

gvSIG version: 2.1.0 Add-on build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

The file filter drop-down list in the Open window of New table shows also vector format (see screenshot in attachment).

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 1112: Afadir Tabla: no d... Invalid 09/11/2012

Associated revisions

Revision 41204 - 02/26/2014 08:55 PM - Joaquin del Cerro Murciano

Cuando se asignaba inicialmente un valor de null a la proyeccion en el cuadro de dialogo de seleccionar proyeccion este fallaba y no peremitia

mostrar el cuadro de dialogo.

refs #2286

Revision 41205 - 02/26/2014 08:59 PM - Joaquin del Cerro Murciano

Anadida informacion de por que no se han podido cargar las tablas.

refs #2286

Revision 41207 - 02/26/2014 09:18 PM - Joaquin del Cerro Murciano

Increment build number (63)

refs #2286

Revision 41208 - 02/26/2014 09:22 PM - Joaquin del Cerro Murciano

Increment build number (2219)

refs #2286

Revision 41211 - 02/27/2014 10:09 AM - Joaquin del Cerro Murciano
Correccion para que cuando se intente averiguar la proyeccion de la vista y no haya ninguna vista devuelva null en lugar de producirse un error.
Supongo que habra que repasar en CRSSelectionTrDialog para comprobar que no falle cuando recibe como CRS de la vista un null.
refs #2286

History

#1 - 02/04/2014 11:11 AM - Alvaro Anguix
- Target version changed from 2.1.0-2219-testing to 2.1.0-2223-rc1

Duplicado, invalido el anterior https://devel.gvsig.org/redmine/issues/1112 (aunque este esta comentado y se aconseja su lectura)

#2 - 02/20/2014 11:59 AM - Alvaro Anguix

- Assignee set to Joaquin del Cerro Murciano

- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2221-testing
- gvSIG build changed from 2218 to 2219

- Operative System deleted (Windows)

#3 - 02/27/2014 03:03 AM - Joaquin del Cerro Murciano

Varias cosas...

- En principio es correcto que se pueda cargar, por ejemplo un DXF para acceder a su tabla de atributos sin necesidad de cargarlo en una vista.
Igual de valido seria cargar cualquier formato con informacion espacial para acceder a su tabla de atributos.

- Cuando se intenta cargar una tabla con soporte espacial, normalmente sera necesario como minimo especificar entre sus parametros el CRS a
usar. Al no especificarse se produce un error diciendo que no se puede cargar y da la sensacion que te deja seleccionarlo pero luego falla la carga

por ser espacial cuando lo que sucede es que precisa que se le especifique un parametro, el CRS.

- He anadido que en el dialogo que dice que no se han podido cargar algunas tablas, indique que parametros deberian haberse rellenado y no se
ha hecho (r41205).

- Al menos con el plugin de proyecciones de proj4j, fallaba al intentar especificar el parametro CRS asociado a la tabla (r41204).

Quedaria repasar que usando el plugin de jcrs funciona correctamente la seleccion del CRS desde afadir tabla.

#4 - 02/27/2014 11:22 AM - Alvaro Anguix
- File gvSIG.log added

Subo el log de la comprobacién con JCRS, que si, al pulsar el boton sale un warning y no deja asignar CRS.

#5 - 02/27/2014 11:58 AM - Alvaro Anguix
- Status changed from New to Fixed

Paso este a fixed y abro uno nuevo con el error que comentaba

#6 - 03/10/2014 10:53 AM - Alvaro Anguix
https://devel.gvsig.org/redmine/issues/1112

- Status changed from Fixed to Closed
